Bug 801736 - Save button always disabled for normal user in VPN adding dialog
Save button always disabled for normal user in VPN adding dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 05:18 EST by Adam Walczak
Modified: 2013-02-13 08:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:53:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Walczak 2012-03-09 05:18:00 EST
Description of problem:
I cannot add a VPN connection because when I try to add one the save button is always disabled in the dialog where I enter the VPN connection parameters. On this button I get a toottip message:

You must authenticate to add this connection for all the users on this computer.
(translated from polish message)

I have no way of doing this.

Version-Release number of selected component (if applicable):


How reproducible:
always on my system


Steps to Reproduce:
1. Open the Network Managed from Gnome Shells top panel
2. Click plus button to add new network interface
3. Choose a VPN
4. Choose OpenVPN type
5. Enter VPN parameters
  
Actual results:
Cannot click save

Expected results:
Ability do add connection for single user or a pop-up to authenticate as root after choosing VPN type.
Comment 1 Adam Walczak 2012-03-09 05:19:42 EST
might me somehow related to:
https://bugzilla.redhat.com/show_bug.cgi?id=789291
Comment 2 Adam Walczak 2012-03-09 05:33:51 EST
even when trying as root:
[root@walec51-laptop walec51]# nm-connection-editor
this button is always disabled
Comment 3 Adam Walczak 2012-03-09 05:37:06 EST
In the terminal I get:

when I choose OpenVPN:

** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: remote

** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: remote

** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: remote

when I choose PPTP:

(nm-connection-editor:2734): Gtk-WARNING **: Unknown property: GtkDialog.has-separator

** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: gateway

** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: gateway

** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: gateway
Comment 4 Jirka Klimes 2012-03-26 08:57:47 EDT
'Save' button is disabled until all necessary fields are filled.

For OpenVPN
> ** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: remote
indicates that you didn't fill 'Gateway' or it is invalid

For PPTP
> ** (nm-connection-editor:2734): WARNING **: Invalid setting VPN: gateway
indicates that you didn't fill 'Gateway' or it is invalid
Comment 5 Fedora End Of Life 2013-01-16 08:11:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 08:53:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.